/* db2tex.h -- Headerfile fr db2tex
*/
#ifndef   __DB2TEX__
#define   __DB2TEX__

#include  <stdio.h>                        /* FILE etc. */
#include  <string.h>

#include  "convent.h"                      /* Konventionen */

#undef    __TEST__                         /* steuert Testausgaben */

#define   MAXTOKEN    10                   /* max. Anzahl der Tokens */
#define   MAXZEILE   200                   /* max. Lnge einer Zeile */
#define   MAXSPALTEN  50                   /* max. Anzahl der Spalten */
#define   MAXREP     100                   /* max. Zeilen einlesen */
#define   BLANK       ' '                  /* Leerzeichen */

/* Datei-Extensionen :
*/
#define   STDTEXNAME  "tex"           /* Voreinstellung         */
#define   STDREPNAME  "rep"           /* Voreinstellung         */
#define   STDDEFNAME  "def"           /* Out Nr.1: TeX macros */
#define   STDINPNAME  "inp"           /* Out Nr.2: TeX-Rumpf  */
#define   STDTXTNAME  "txt"
#define   STDSHNAME   "sh"            /* Out(Txt): Shell */

/* TeX-Umgebung :
*/
#define   STDTEXPOOL  "/usr/local/lib"
#define   STDVIRTEX   "virtex \"&\"lplain"
#define   STDDVITPS   "dvitps/dvitps -d forward -E 0 -H-16mm -V-30mm -q"
#define   STDDVIJEP   "dvijep -b -eTEXFONTS=/u1/tex/fonts -q -x5mm -y9mm"
#define   STDDVITTY   "dvitty -Fpg"
#define   STDPRINTER  "mdlraw"
#define   TEXMAC      "\\"                 /* Macro-Prfix */
#define   BEGINDOC    "\\begin{document}"
#define   ENDDOC      "\\end{document}"
#define   TEXLINE     "%% -----------------------------------------------\n"


/* Globale Variable :
*/
typedef struct
	{
	  char  Name[50];
	  int   Len;
	  char *Inhalt;
	} SPALTE;

char    TxtName[20], RepName[20], DefName[20];
char    InpName[20], OutName[20], DviName[20];
char    TEXPOOL[30],  VIRTEX[100], DVITTY[100], DVITPS[100];
char    UMLT2TEX[50], PRINTER[10], SEP[5], OUTDEV[50];


/* ---------------------------------------------------------------------- */
/* -- Funktions-Prototypen */

PUBLIC  FILE *_fopen();        /* erweitertes fopen                         */
PUBLIC  char *strtoupper();    /* wandelt string in Gro                    */
PUBLIC  char *ChkName();       /* durchsucht eine Liste nach einem Namen    */
PUBLIC  int   GetSQL();        /* wertet die erste TeX-Zeile aus            */
PUBLIC  int   GetReport();     /* erstellt aus einer Rep-Zeile ein Macro    */
PUBLIC  int   WalkFile();      /* durchsucht eine Datei                     */
PUBLIC  int   GetIni(File);    /* liest .ini-Datei ein                      */

#endif   /*  __DB2TEX__ */
